unit BufferDlg;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls, okapi32;

type

  { TBufferDlgBox }

  TBufferDlgBox = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  BufferDlgBox: TBufferDlgBox;
  currsize,newsize:MWORD;

implementation

{$R *.lfm}

{ TBufferDlgBox }

procedure TBufferDlgBox.Button1Click(Sender: TObject);
begin
  newsize:=StrToInt(Edit1.Text);
  okSetAllocBuffer(newsize); //set new

  Close;
end;

procedure TBufferDlgBox.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TBufferDlgBox.FormShow(Sender: TObject);
var
   lpLinear:Pointer;
begin
  okGetAvailBuffer(lpLinear,currsize); //in byte
  currsize:=currsize shr 10; //to k byte
  Label2.Caption:=IntToStr(currsize);

  newsize:=$ffffffff;
  newsize:=okSetAllocBuffer(newsize); //just get last set in k byte
  Edit1.Text :=IntToStr(newsize);
end;

end.

