unit SetSize;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TSetCSize }

  TSetCSize = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  SetCSize: TSetCSize;

implementation

uses
    main;

{$R *.lfm}

{ TSetCSize }

procedure TSetCSize.FormShow(Sender: TObject);
begin
  Edit1.Text := IntToStr(iClientWidth);
  Edit2.Text := IntToStr(iClientHeight);
end;

procedure TSetCSize.Button1Click(Sender: TObject);
begin
  iClientWidth := StrToInt(Edit1.Text);
  iClientHeight := StrToInt(Edit2.Text);
  Close;
end;

procedure TSetCSize.Button2Click(Sender: TObject);
begin
  Close;
end;

end.

