unit SetLBuffer;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ComCtrls, Windows;

type

  { TSetLockBuffer }

  TSetLockBuffer = class(TForm)
    BufferOffset: TEdit;
    btOK: TButton;
    btCancel: TButton;
    LockBufSize: TEdit;
    IndexBoard: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    IndexUpDn: TUpDown;
    procedure btCancelClick(Sender: TObject);
    procedure btOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure IndexBoardChange(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  SetLockBuffer: TSetLockBuffer;
  currno:Longint;

implementation

{$R *.lfm}

{ TSetLockBuffer }

procedure TSetLockBuffer.btOKClick(Sender: TObject);
var
    outstr:array[0..127] of char;
    tstr:array[0..127] of char;
    offset,bufsize:DWORD;
begin
    currno := StrToInt(IndexBoard.Text);
    StrPCopy(tstr, 'No. ' + IntToStr(currno));
    offset := StrToInt(BufferOffset.Text);
    //offset=GetDlgItemInt(hDlg,IDC_BUFFEROFFSET,NULL,TRUE);
    bufsize := StrToInt(LockBufSize.Text);
    //bufsize=GetDlgItemInt(hDlg,IDC_LOCKBUFSIZE,NULL,TRUE);

    offset := offset * 1024; //to byte
    bufsize := bufsize * 1024;

    StrPCopy(outstr, IntToStr(offset));
    WritePrivateProfileString(tstr,'Offset',outstr,'okacfg.ini');
    StrPCopy(outstr, IntToStr(bufsize));
    WritePrivateProfileString(tstr,'Size',outstr,'okacfg.ini');
end;

procedure TSetLockBuffer.FormShow(Sender: TObject);
var
    tstr:array[0..127] of char;
    offset,bufsize:DWORD;
begin
    IndexBoard.Text := IntToStr(currno);
    StrPCopy(tstr, 'No. ' + IntToStr(currno));

    offset := GetPrivateProfileInt(tstr, 'Offset', 0, 'okacfg.ini');
    bufsize := GetPrivateProfileInt(tstr, 'Size', 0, 'okacfg.ini');

    offset := offset div 1024; //to k
    bufsize := bufsize div 1024;
    BufferOffset.Text := IntToStr(offset);
    LockBufSize.Text := IntToStr(bufsize);
end;

procedure TSetLockBuffer.IndexBoardChange(Sender: TObject);
var
    tstr:array[0..127] of char;
    offset,bufsize:DWORD;
    oldno:Longint;
begin
    oldno := currno;
    currno := StrToInt(IndexBoard.Text);
    if (oldno <> currno) then
    begin
        StrPCopy(tstr, 'No. ' + IntToStr(currno));

        offset := GetPrivateProfileInt(tstr, 'Offset', 0, 'okacfg.ini');
        bufsize := GetPrivateProfileInt(tstr, 'Size', 0, 'okacfg.ini');

        offset := offset div 1024; //to k
        bufsize := bufsize div 1024;
        BufferOffset.Text := IntToStr(offset);
        LockBufSize.Text := IntToStr(bufsize);
    end;
end;

procedure TSetLockBuffer.btCancelClick(Sender: TObject);
begin
    //退出
    Close;
end;

end.

